## backport-iwlwifi-dkms 0~101.14146-git987b7ae1

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~101.14146-git987b7ae1-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core101 release (LP: #2141400)
    - Drop upstreamed patches:
      - d/p/0018-backports-genetlink-hold-RCU-in-genlmsg_mcast.patch
      - d/p/backports-guard-SOCKWQ_ASYNC_-NOSPACE-WAITDATA-definition.patch
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-free-SKBTX_WIFI_STATUS-skb-tx_flags-flag.patch
    - Refresh patches:
      - d/p/backports-accommodate-to-__cleanup-based-locking-infrastr.patch
      - d/p/backports-fix-build-against-kernels-v5.0.patch
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
      - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - configure: bump ZFS_META_KVER_MIN and BUILD_EXCLUSIVE_KERNEL_MIN to 5.4
    - debian: dkms: bump BUILD_EXCLUSIVE_KERNEL_MAX to 6.19

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 16:42:49 +0800
