=== net/mac80211/tests/Makefile ===
mac80211-tests-y += module.o util.o elems.o mfp.o tpe.o chan-mode.o s1g_tim.o

obj-$(CPTCFG_MAC80211_KUNIT_TEST) += mac80211-tests.o
