## backport-iwlwifi-dkms 0~102.14286-git483a4f9d

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~102.14286-git483a4f9d-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core102 release (LP: #2141401)
    - debian: dkms: remove BUILD_EXCLUSIVE_KERNEL_MAX for now

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 18:18:24 +0800
