## backport-iwlwifi-dkms 0~103.14434-gitdf6b5bf4

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~103.14434-gitdf6b5bf4-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core103 release (LP: #2143137)
    - Drop upstreamed patches:
      - d/p/wifi-iwlwifi-trans-rename-at_least-variable-to-min_mode.patch
    - backports: accommodate to removal of __cond_lock
    - backports: include linux/hex.h for mac_pton

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 03 Mar 2026 20:45:23 +0800
