=== drivers/net/wireless/intel/Makefile ===
#obj-$(CONFIG_IPW2100) += ipw2x00/
#obj-$(CONFIG_IPW2200) += ipw2x00/
#
#obj-$(CONFIG_IWLEGACY)	+= iwlegacy/

obj-$(CPTCFG_IWLWIFI)	+= iwlwifi/
