=== debian/control ===
Source: backport-iwlwifi-dkms
Section: kernel
Priority: optional
Maintainer: You-Sheng Yang <vicamo@gmail.com>
Build-Depends:
 debhelper (>=9),
 dh-modaliases,
 dkms,
 quilt,
Standards-Version: 4.3.0
Homepage: https://gitlab.com/vicamo/backport-iwlwifi-dkms
Vcs-Browser: https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/master
Vcs-Git: https://gitlab.com/vicamo/backport-iwlwifi-dkms.git

Package: backport-iwlwifi-dkms
Architecture: all
Depends:
 dkms,
 libc6-dev | libc-dev,
 ${misc:Depends},
Provides: iwlwifi-modules
XB-Modaliases: ${modaliases}
Description: iwlwifi driver backport in DKMS format
 Intel works with periodic releases of the iwlwifi driver that are
 tested with a specific combination of components. They are called
 LinuxCore releases and are numbered sequentially, e.g. LinuxCore11
 is the latest stable release as of May 2015.
 .
 This package provides iwlwifi modules built from iwlwifi-public
 defconfig based on upstream master branch.
