=== net/mac80211/Makefile ===
--- 
+++ 
@@ -1,9 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
 obj-$(CPTCFG_MAC80211) += mac80211.o
-
-ifeq ($(CPTCFG_IWLWIFI_SIMULATION),y)
-UBSAN_SANITIZE := y
-endif
 
 # mac80211 objects
 mac80211-y := \
@@ -17,10 +13,8 @@
 	ht.o agg-tx.o agg-rx.o \
 	vht.o \
 	he.o \
-	s1g.o \
 	ibss.o \
 	iface.o \
-	link.o \
 	rate.o \
 	michael.o \
 	tkip.o \
@@ -33,14 +27,12 @@
 	spectmgmt.o \
 	tx.o \
 	key.o \
-	util.o parse.o \
+	util.o \
 	wme.o \
 	chan.o \
 	trace.o mlme.o \
 	tdls.o \
-	ocb.o \
-	airtime.o \
-	eht.o uhr.o
+	ocb.o
 
 mac80211-$(CPTCFG_MAC80211_LEDS) += led.o
 mac80211-$(CPTCFG_MAC80211_DEBUGFS) += \
@@ -63,15 +55,13 @@
 subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
 
 rc80211_minstrel-y := \
+	rc80211_minstrel.o \
 	rc80211_minstrel_ht.o
 
 rc80211_minstrel-$(CPTCFG_MAC80211_DEBUGFS) += \
+	rc80211_minstrel_debugfs.o \
 	rc80211_minstrel_ht_debugfs.o
 
 mac80211-$(CPTCFG_MAC80211_RC_MINSTREL) += $(rc80211_minstrel-y)
 
-obj-y += tests/
-
-mac80211-y += wbrf.o
-
 ccflags-y += -DDEBUG
