=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: You-Sheng Yang <vicamo@gmail.com>
 Build-Depends:
  debhelper (>=9),
- dh-modaliases,
  dkms,
  quilt,
 Standards-Version: 4.3.0
@@ -19,7 +18,6 @@
  libc6-dev | libc-dev,
  ${misc:Depends},
 Provides: iwlwifi-modules
-XB-Modaliases: ${modaliases}
 Description: iwlwifi driver backport in DKMS format
  Intel works with periodic releases of the iwlwifi driver that are
  tested with a specific combination of components such as firmware and
