=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -10,13 +10,14 @@
 iwlwifi-objs		+= iwl-trans.o
 iwlwifi-objs		+= queue/tx.o
 
-iwlwifi-objs		+= fw/img.o fw/notif-wait.o
-iwlwifi-objs		+= fw/dbg.o
+iwlwifi-objs		+= fw/img.o fw/notif-wait.o fw/rs.o
+iwlwifi-objs		+= fw/dbg.o fw/pnvm.o fw/dump.o
 iwlwifi-$(CPTCFG_IWLMVM)	+= fw/paging.o fw/smem.o fw/init.o
 iwlwifi-$(CPTCFG_IWLXVT)	+= fw/init.o
 iwlwifi-$(CPTCFG_IWLWIFI_DEBUGFS) += fw/debugfs.o
 
 iwlwifi-$(CONFIG_ACPI)	+= fw/acpi.o
+iwlwifi-$(CONFIG_EFI)	+= fw/uefi.o
 
 # Bus
 iwlwifi-$(CONFIG_PCI) += pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
@@ -26,7 +27,6 @@
 iwlwifi-$(CPTCFG_IWLMVM) += cfg/9000.o cfg/22000.o
 
 iwlwifi-$(CPTCFG_IWLWIFI_SUPPORT_DEBUG_OVERRIDES) += iwl-dbg-cfg.o
-
 
 iwlwifi-objs += $(iwlwifi-m)
 iwlwifi-objs += $(iwlwifi-y)
@@ -41,4 +41,6 @@
 obj-$(CPTCFG_IWLMVM)	+= mvm/
 obj-$(CPTCFG_IWLXVT)	+= xvt/
 
+obj-$(CPTCFG_IWLMEI)	+= mei/
+
 CFLAGS_iwl-devtrace.o := -I$(src)
