=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 iwlmvm-y += scan.o time-event.o rs.o rs-fw.o
 iwlmvm-y += power.o coex.o
 iwlmvm-y += tt.o offloading.o tdls.o
-iwlmvm-y += ftm-initiator.o
-iwlmvm-y += ftm-responder.o
+iwlmvm-y += ftm-responder.o ftm-initiator.o
+iwlmvm-y += rfi.o
 iwlmvm-y += nan.o
 iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
 iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
@@ -16,3 +16,5 @@
 
 # non-upstream things
 iwlmvm-$(CPTCFG_IWLMVM_VENDOR_CMDS) += vendor-cmd.o
+ifeq ($(CPTCFG_IWLMVM_VENDOR_CMDS),y)
+endif
