=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: kernel
 Priority: optional
 Maintainer: You-Sheng Yang <vicamo@gmail.com>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>=9),
+ debhelper-compat (= 13),
+ dh-modaliases,
  dkms,
  quilt,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/vicamo/backport-iwlwifi-dkms
 Vcs-Browser: https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/master
 Vcs-Git: https://gitlab.com/vicamo/backport-iwlwifi-dkms.git
