=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 iwlwifi-$(CONFIG_ACPI)	+= fw/acpi.o
 iwlwifi-$(CONFIG_EFI)	+= fw/uefi.o
+
+# Mock-ups
 
 # Bus
 iwlwifi-$(CONFIG_PCI) += pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
