=== debian/changelog ===
backport-iwlwifi-dkms (9580-0ubuntu1~21.10.1.1) impish; urgency=low

  * New release (LP: #1962704)
    - refresh patches.
    - upstream version 9580 commit a0a813b1546992.

  [ Dimitri John Ledkov ]
  * Bump obsolete-by to Linux 5.16

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 02 Mar 2022 14:57:14 +0800
