=== drivers/net/wireless/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 #obj-$(CONFIG_WLAN_VENDOR_INTERSIL) += intersil/
 #obj-$(CONFIG_WLAN_VENDOR_MARVELL) += marvell/
 #obj-$(CONFIG_WLAN_VENDOR_MEDIATEK) += mediatek/
+#obj-$(CONFIG_WLAN_VENDOR_MICROCHIP) += microchip/
 #obj-$(CONFIG_WLAN_VENDOR_RALINK) += ralink/
 #obj-$(CONFIG_WLAN_VENDOR_REALTEK) += realtek/
 #obj-$(CONFIG_WLAN_VENDOR_RSI) += rsi/
