=== drivers/net/wireless/intel/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-2.0-only
 #obj-$(CONFIG_IPW2100) += ipw2x00/
 #obj-$(CONFIG_IPW2200) += ipw2x00/
 #
