=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -39,10 +39,10 @@
 
 ccflags-y += -I$(src)
 subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
+# for FreeBSD compatibility - they use most of our driver
 
 obj-$(CPTCFG_IWLMVM)	+= mvm/
+obj-$(CPTCFG_IWLMEI)	+= mei/
 obj-$(CPTCFG_IWLXVT)	+= xvt/
 
-obj-$(CPTCFG_IWLMEI)	+= mei/
-
 CFLAGS_iwl-devtrace.o := -I$(src)
