## backport-iwlwifi-dkms 9904

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 iwlmvm-y += ftm-responder.o ftm-initiator.o
 iwlmvm-y += rfi.o
 iwlmvm-y += nan.o
+iwlmvm-y += time-sync.o
+iwlmvm-y += mld-key.o
 iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
 iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
 iwlmvm-$(CONFIG_PM) += d3.o
